Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
b2DestructionListener Class Referenceabstract

`#include <b2WorldCallbacks.h>`

## Public Member Functions
virtual void | SayGoodbye (b2Joint *joint)=0
virtual void | SayGoodbye (b2Fixture *fixture)=0

## Detailed Description

Joints and fixtures are destroyed when their associated body is destroyed. Implement this listener so that you may nullify references to these joints and shapes.

## Member Function Documentation

virtual void b2DestructionListener::SayGoodbye | ( | b2Joint * | joint | ) |
| pure virtual

Called when any joint is about to be destroyed due to the destruction of one of its attached bodies.

virtual void b2DestructionListener::SayGoodbye | ( | b2Fixture * | fixture | ) |
| pure virtual

Called when any fixture is about to be destroyed due to the destruction of its parent body.

The documentation for this class was generated from the following file:

- b2WorldCallbacks.h